# Features
This is a module that uses AI specifically self-hosted using LM Studio or Ollama
and free models like Deepseek. It can add into ckeditor5 to generate content,
create chatbots that allow direct exchange, AI agents, with RAG embedding and
Model Context Protocol support to be able to scan the content of articles or
files to enrich content

### Prerequisites for RAG
Best integration for MariaDB 11.7+, PostgreSQL with pgvector, HeatWave MySQL.
Community MySQL 9.3 support vector distance coming soon.
You can use Milvus as database vector (collection name must be ai_embedding).
Use https://cloud.zilliz.com/ if you don't have Milvus installed locally.

### How to use
- For selfhost, you must install and run LM Studio or Ollama on the server.
- Load the necessary free models, I highly recommend you use deepseek 7B or
Gemma 3 which are very light for weak servers.
- The nomic-embed-text or mxbai-embed-large models are needed if you use RAG
- After installing module, go to the settings module, you can configure the url
and api key (for gemini). You can define the types of prompts used for ckeditor.
- You can add the ai chat block or (/chat path) to be able to chat with AI.
- You can create a view with VBO and select the entities you want to embed into
the document so that the AI chat can be smarter. For node content you can go to
/ai/embedding
- You can define functions & permissions so you can ask AI to do something.
- MCP server you can add to your ai chatbot agent.
`{
  "mcpServers": {
    "drupal": {
      "command": "curl",
      "args": [
        "-s",
        "-X", "POST",
        "-H", "Content-Type: application/json",
        "-H", "X-API-Key: Your-MCP-KEY",
        "-d", "@-",
        "http://drupal.localhost/mcp/server"
      ],
      "protocol": "mcp",
      "method": "stdio",
      "timeoutMs": 60000
    }
  }
}`

#### For developer
- You can create your custom provider by create
[src/Plugin/AiProvider/YourProvider.php]
- You can create your custom database embedding by create
[src/Plugin/AiDbVector/YourCustomDbVector.php]
- You can create your custom mcp tool by create
[src/Plugin/McpTool/YourMcpTool.php]
