import { memo, useState } from 'react';
import { Button } from 'react-bootstrap';
import ChatFile from '../message/chat-file';
import ChatUpfile from '../message/chat-upfile';
import ChatVoice from '../message/chat-voice';
import ChatTrix from '../message/chat-trix';

function ChatFooter({ upFile, voiceChat, voiceStatus, startVoice, stopVoice, upLoad, setUpFile, sendMessage }) {

  const [input, setInput] = useState('');

  const handleSendMessage = () => {
    setInput('');
    sendMessage(input);
  };

  return (
    <>
      {upFile.length > 0 && <ChatUpfile upFile={upFile} setUpFile={setUpFile} /> }
      <div className='d-flex align-items-center p-2 border-top'>
        <div className='d-flex align-items-center justify-content-between me-2'>
          <ChatVoice voiceStatus={voiceStatus} startVoice={startVoice} stopVoice={stopVoice} />
          <ChatFile upLoad={upLoad} />
        </div>
        <ChatTrix input={input} setInput={setInput} voiceChat={voiceChat} upLoad={upLoad} handleSendMessage={handleSendMessage} typeEditor='box' />
        <Button variant='transparent' size='sm' className='btn-scale border-0 rounded-0' title={Drupal.t('Send')} onClick={handleSendMessage}>
          <i className='bi bi bi-send-fill text-danger fs-5'></i>
        </Button>
      </div>
    </>
  );
}
export default memo(ChatFooter);
