import { memo } from 'react';
import { Button } from 'react-bootstrap';

function ChatHeader({newChat, removeChat, setShowChat}) {

  return (
    <div className='d-flex align-items-center justify-content-between p-2 bg-danger'>
      <span className='text-white fw-semibold fs-5'>{window.drupalSettings?.deepseek?.label || 'Chatbot'}</span>
      <div className='d-flex align-items-center'>
        <Button variant='transparent' size='sm' className='btn-scale border-0 rounded-0 text-white' title={Drupal.t('New chat')} onClick={newChat}>
          <i className='bi bi-chat-square-dots fs-6'></i>
        </Button>
        <Button variant='transparent' size='sm' className='btn-scale border-0 rounded-0 text-white' title={Drupal.t('Delete session')} onClick={removeChat}>
          <i className='bi bi-trash fs-6'></i>
        </Button>
        <Button variant='transparent' size='sm' className='btn-scale border-0 rounded-0 text-white' title={Drupal.t('Fullscreen')} onClick={() => {window.open(window.drupalSettings?.deepseek?.url_chat || '/', '_blank', 'noopener,noreferrer')}}>
          <i className='bi bi-fullscreen fs-6'></i>
        </Button>
        <Button variant='transparent' size='sm' className='btn-scale border-0 rounded-0 text-white' title={Drupal.t('Close')} onClick={() => setShowChat(false)}>
          <i className='bi bi-x-lg fs-6'></i>
        </Button>
      </div>
    </div>
  );
}
export default memo(ChatHeader);
