import { memo } from "react";
import { Button } from 'react-bootstrap';

function ChatFooter({newChat, handleSendMessage, setHistoryStatus}) {
    return (
      <div className='mt-3 p-2'>
        <div className='d-flex'>
          <Button variant='outline-danger' size='sm' className='fs-6 me-auto btn-scale' onClick={handleSendMessage}>
            <i className='bi bi bi-send-fill'></i> {Drupal.t('Send')}
          </Button>
          <Button variant='outline-success' size='sm' className='fs-6 mx-2 btn-scale' onClick={newChat}>
            <i className='bi bi bi-pencil-square'></i> {Drupal.t('New chat')}
          </Button>
          <Button variant='outline-secondary' size='sm' className='fs-6 btn-scale' onClick={() => setHistoryStatus(true)}>
            <i className='bi bi bi-hourglass'></i> {Drupal.t('History')}
          </Button>
        </div>
      </div>
    );
}

export default memo(ChatFooter);
