import { memo, useRef } from "react";
import { Button } from "react-bootstrap";

function ChatFile({upLoad}) {

    const fileInputRef = useRef(null);

    const handleFileChange = async (event) => {
      const file = event.target.files[0];
      if (!file) return;
      await upLoad(file);
      event.target.value = '';
    };

    return (
        <>
          <Button variant='transparent' size='sm' className='btn-scale p-1 border-0 rounded-0' title={Drupal.t('Attach file')} onClick={() => fileInputRef.current.click()}>
              <i className='bi bi-file-earmark-arrow-up-fill text-danger fs-5'></i>
          </Button>
          <input type="file" ref={fileInputRef} accept="image/*,application/pdf,application/vnd.openxmlformats-officedocument.wordprocessingml.document" hidden onChange={handleFileChange} />
        </>
    );
}

export default memo(ChatFile);
