import { memo } from "react";

function ChatLoading({urlModule, loading}) {
    return (
        <div className={`${loading ? 'd-block' : 'd-none'} message-bot message-loading mb-5`}>
            <div className='position-relative d-flex'>
                <div className='message-auth d-flex flex-shrink-0 align-items justify-content-center rounded-2 box-sizing-border-box'>
                    <img src={window.drupalSettings?.deepseek?.logo_site || `${urlModule}/icons/deepseek.svg`} alt="ChatBot" width={40} height={40} />
                </div>
                <div className='overflow-hidden ms-2 p-2 border rounded-2 shadow box-sizing-border-box opacity-50'>
                    {loading === 'loading' ? <span className='loading-dots'>{Drupal.t('Loading ')}</span> : <span>{Drupal.t(loading)}</span>}
                </div>
            </div>
        </div>
    );
}
export default memo(ChatLoading);
