import { defineConfig } from 'vite'
import react from '@vitejs/plugin-react'

export default defineConfig({
  plugins: [react()],
  build: {
    rollupOptions: {
      input: {
        chatFrame: './src/chat-frame.jsx',
        chatBox: './src/chat-box.jsx',
      },
      output: {
        entryFileNames: '[name].js',
        chunkFileNames: 'chat-bot.js',
        assetFileNames: (assetInfo) => {
          const ext = assetInfo.name?.split(".").pop();
          if (ext === "css") {
              return "css/[name].[ext]";
          }
          return "assets/[name]-[extname]";
      }
      },
    },
    outDir: 'dist',
  },
})
