<?php

namespace Drupal\ai_auto_embedding\Event;

use Drupal\Core\Entity\EntityInterface;
use Symfony\Contracts\EventDispatcher\Event;

/**
 * Event that is fired when an entity update.
 */
class EntityUpdateEvent extends Event {

  // This makes it easier for subscribers to reliably use our event name.
  const EVENT_NAME = 'entity_update';

  /**
   * Constructs the object.
   *
   * @param \Drupal\Core\Entity\EntityInterface $entity
   *   The entity update.
   */
  public function __construct(public EntityInterface $entity) {
  }

}
