<?php

namespace Drupal\deepseek;

use Drupal\Core\Cache\CacheBackendInterface;
use Drupal\Core\Extension\ModuleHandlerInterface;
use Drupal\Core\Plugin\DefaultPluginManager;
use Drupal\deepseek\Attribute\AiDbVectors;

/**
 * AI database vectors plugin manager.
 */
class AiDbVectorsPluginManager extends DefaultPluginManager {

  /**
   * Constructs the object.
   */
  public function __construct(\Traversable $namespaces, CacheBackendInterface $cache_backend, ModuleHandlerInterface $module_handler) {
    parent::__construct(
      'Plugin/AiDbVectors',
      $namespaces, $module_handler,
      AiDbVectorsInterface::class,
      AiDbVectors::class,
    );
    $this->alterInfo('aidbvectors_info');
    $this->setCacheBackend($cache_backend, 'aidbvectors_plugins');
  }

}
