<?php

namespace Drupal\deepseek;

use Drupal\Core\Cache\CacheBackendInterface;
use Drupal\Core\Extension\ModuleHandlerInterface;
use Drupal\Core\Plugin\DefaultPluginManager;

/**
 * AiProviders plugin manager.
 */
class AiProvidersPluginManager extends DefaultPluginManager {

  /**
   * Constructs the object.
   */
  public function __construct(\Traversable $namespaces, CacheBackendInterface $cache_backend, ModuleHandlerInterface $module_handler) {
    parent::__construct(
      'Plugin/AiProviders',
      $namespaces,
      $module_handler,
      "Drupal\deepseek\AiProvidersInterface",
      'Drupal\deepseek\Attribute\AiProviders'
    );
    $this->alterInfo('ai_providers_info');
    $this->setCacheBackend($cache_backend, 'ai_providers_plugins');
  }

}
